liblinphone 3.8.1

- Main Page
- Related Pages
- Modules
- Data Structures

Macros | Typedefs | Enumerations | Functions
Managing call logs

## Macros
#define | linphone_call_log_get_from(cl) linphone_call_log_get_from_address(cl)
#define | linphone_call_log_get_to(cl) linphone_call_log_get_to_address(cl)
#define | linphone_call_log_set_user_pointer(cl, ud) linphone_call_log_set_user_data(cl, ud)
#define | linphone_call_log_get_user_pointer(cl) linphone_call_log_get_user_data(cl)

## Typedefs
typedef enum _LinphoneCallDir | LinphoneCallDir
typedef enum _LinphoneCallStatus | LinphoneCallStatus
typedef struct _LinphoneCallLog | LinphoneCallLog

## Enumerations
enum | _LinphoneCallDir { LinphoneCallOutgoing, LinphoneCallIncoming }
enum | _LinphoneCallStatus { LinphoneCallSuccess, LinphoneCallAborted, LinphoneCallMissed, LinphoneCallDeclined }

## Functions
const char * | linphone_call_log_get_call_id (const LinphoneCallLog *cl)
LinphoneCallDir | linphone_call_log_get_dir (LinphoneCallLog *cl)
int | linphone_call_log_get_duration (LinphoneCallLog *cl)
LinphoneAddress * | linphone_call_log_get_from_address (LinphoneCallLog *cl)
const rtp_stats_t * | linphone_call_log_get_local_stats (const LinphoneCallLog *cl)
float | linphone_call_log_get_quality (LinphoneCallLog *cl)
const char * | linphone_call_log_get_ref_key (const LinphoneCallLog *cl)
LinphoneAddress * | linphone_call_log_get_remote_address (LinphoneCallLog *cl)
const rtp_stats_t * | linphone_call_log_get_remote_stats (const LinphoneCallLog *cl)
time_t | linphone_call_log_get_start_date (LinphoneCallLog *cl)
LinphoneCallStatus | linphone_call_log_get_status (LinphoneCallLog *cl)
LinphoneAddress * | linphone_call_log_get_to_address (LinphoneCallLog *cl)
void | linphone_call_log_set_ref_key (LinphoneCallLog *cl, const char *refkey)
bool_t | linphone_call_log_video_enabled (LinphoneCallLog *cl)
char * | linphone_call_log_to_str (LinphoneCallLog *cl)
void * | linphone_call_log_get_user_data (const LinphoneCallLog *cl)
void | linphone_call_log_set_user_data (LinphoneCallLog *cl, void *ud)
LinphoneCallLog * | linphone_call_log_ref (LinphoneCallLog *cl)
void | linphone_call_log_unref (LinphoneCallLog *cl)
void | linphone_call_log_destroy (LinphoneCallLog *cl)
const MSList * | linphone_core_get_call_logs (LinphoneCore *lc)
void | linphone_core_clear_call_logs (LinphoneCore *lc)
int | linphone_core_get_missed_calls_count (LinphoneCore *lc)
void | linphone_core_reset_missed_calls_count (LinphoneCore *lc)
void | linphone_core_remove_call_log (LinphoneCore *lc, LinphoneCallLog *call_log)

## Detailed Description

## Macro Definition Documentation

#define linphone_call_log_get_from | ( |  | cl | ) | linphone_call_log_get_from_address(cl)

Deprecated:
  Use linphone_call_log_get_from_address() instead.

#define linphone_call_log_get_to | ( |  | cl | ) | linphone_call_log_get_to_address(cl)

Deprecated:
  Use linphone_call_log_get_to_address() instead.

#define linphone_call_log_set_user_pointer | ( |  | cl,
|  |  | ud
| ) |  | linphone_call_log_set_user_data(cl, ud)

Deprecated:
  Use linphone_call_log_set_user_data() instead.

#define linphone_call_log_get_user_pointer | ( |  | cl | ) | linphone_call_log_get_user_data(cl)

Deprecated:
  Use linphone_call_log_get_user_data() instead.

## Typedef Documentation

typedef enum _LinphoneCallDir LinphoneCallDir

Typedef for enum

typedef enum _LinphoneCallStatus LinphoneCallStatus

Enum representing the status of a call

typedef struct _LinphoneCallLog LinphoneCallLog

Structure representing a call log.

## Enumeration Type Documentation

enum _LinphoneCallDir

Enum representing the direction of a call.

Enumerator
LinphoneCallOutgoing | outgoing calls
LinphoneCallIncoming | incoming calls

enum _LinphoneCallStatus

Enum representing the status of a call

Enumerator
LinphoneCallSuccess | The call was sucessful
LinphoneCallAborted | The call was aborted
LinphoneCallMissed | The call was missed (unanswered)
LinphoneCallDeclined | The call was declined, either locally or by remote end

## Function Documentation

const char* linphone_call_log_get_call_id | ( | const LinphoneCallLog * | cl | ) |

Get the call ID used by the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The call ID used by the call as a string.

LinphoneCallDir linphone_call_log_get_dir | ( | LinphoneCallLog * | cl | ) |

Get the direction of the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The direction of the call.

int linphone_call_log_get_duration | ( | LinphoneCallLog * | cl | ) |

Get the duration of the call since connected.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The duration of the call in seconds.

LinphoneAddress* linphone_call_log_get_from_address | ( | LinphoneCallLog * | cl | ) |

Get the origin address (ie from) of the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The origin address (ie from) of the call.

const rtp_stats_t* linphone_call_log_get_local_stats | ( | const LinphoneCallLog * | cl | ) |

Get the RTP statistics computed locally regarding the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The RTP statistics that have been computed locally for the call.

float linphone_call_log_get_quality | ( | LinphoneCallLog * | cl | ) |

Get the overall quality indication of the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The overall quality indication of the call.

const char* linphone_call_log_get_ref_key | ( | const LinphoneCallLog * | cl | ) |

Get the persistent reference key associated to the call log.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The reference key string that has been associated to the call log, or NULL if none has been associated.

LinphoneAddress* linphone_call_log_get_remote_address | ( | LinphoneCallLog * | cl | ) |

Get the remote address (that is from or to depending on call direction).

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The remote address of the call.

const rtp_stats_t* linphone_call_log_get_remote_stats | ( | const LinphoneCallLog * | cl | ) |

Get the RTP statistics computed by the remote end and sent back via RTCP.

Note
  Not implemented yet.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The RTP statistics that have been computed by the remote end for the call.

time_t linphone_call_log_get_start_date | ( | LinphoneCallLog * | cl | ) |

Get the start date of the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The date of the beginning of the call.

LinphoneCallStatus linphone_call_log_get_status | ( | LinphoneCallLog * | cl | ) |

Get the status of the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The status of the call.

LinphoneAddress* linphone_call_log_get_to_address | ( | LinphoneCallLog * | cl | ) |

Get the destination address (ie to) of the call.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The destination address (ie to) of the call.

void linphone_call_log_set_ref_key | ( | LinphoneCallLog * | cl,
|  | const char * | refkey
| ) |  |

Associate a persistent reference key to the call log.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

Parameters

  [in] | cl | LinphoneCallLog object
  [in] | refkey | The reference key string to associate to the call log.

bool_t linphone_call_log_video_enabled | ( | LinphoneCallLog * | cl | ) |

Tell whether video was enabled at the end of the call or not.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  A boolean value telling whether video was enabled at the end of the call.

char* linphone_call_log_to_str | ( | LinphoneCallLog * | cl | ) |

Get a human readable string describing the call.

Note
  : the returned string must be freed by the application (use ms_free()).

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  A human readable string describing the call.

void* linphone_call_log_get_user_data | ( | const LinphoneCallLog * | cl | ) |

Get the user data associated with the call log.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The user data associated with the call log.

void linphone_call_log_set_user_data | ( | LinphoneCallLog * | cl,
|  | void * | ud
| ) |  |

Assign a user data to the call log.

Parameters

  [in] | cl | LinphoneCallLog object
  [in] | ud | The user data to associate with the call log.

LinphoneCallLog* linphone_call_log_ref | ( | LinphoneCallLog * | cl | ) |

Acquire a reference to the call log.

Parameters

  [in] | cl | LinphoneCallLog object

Returns
  The same LinphoneCallLog object

void linphone_call_log_unref | ( | LinphoneCallLog * | cl | ) |

Release a reference to the call log.

Parameters

  [in] | cl | LinphoneCallLog object

void linphone_call_log_destroy | ( | LinphoneCallLog * | cl | ) |

Destroy a LinphoneCallLog.

Parameters

  cl | LinphoneCallLog object

Deprecated:
  Use linphone_call_log_unref() instead.

const MSList* linphone_core_get_call_logs | ( | LinphoneCore * | lc | ) |

Get the list of call logs (past calls).

Parameters

  [in] | lc | LinphoneCore object

Returns
  A list of LinphoneCallLog objects.

void linphone_core_clear_call_logs | ( | LinphoneCore * | lc | ) |

Erase the call log.

Parameters

  [in] | lc | LinphoneCore object

int linphone_core_get_missed_calls_count | ( | LinphoneCore * | lc | ) |

Get the number of missed calls. Once checked, this counter can be reset with linphone_core_reset_missed_calls_count().

Parameters

  [in] | lc | LinphoneCore object.

Returns
  The number of missed calls.

void linphone_core_reset_missed_calls_count | ( | LinphoneCore * | lc | ) |

Reset the counter of missed calls.

Parameters

  [in] | lc | LinphoneCore object.

void linphone_core_remove_call_log | ( | LinphoneCore * | lc,
|  | LinphoneCallLog * | call_log
| ) |  |

Remove a specific call log from call history list. This function destroys the call log object. It must not be accessed anymore by the application after calling this function.

Parameters

  [in] | lc | LinphoneCore object
  [in] | call_log | LinphoneCallLog object to remove.